{ pkgs ? (import (import ./nix/sources.nix).nixpkgs { }) }:

let
  sources = import ./nix/sources.nix;
  srcNoTarget = dir:
    builtins.filterSource
    (path: type: type != "directory" || builtins.baseNameOf path != "target")
    dir;
  naersk = pkgs.callPackage sources.naersk { };
in naersk.buildPackage {
  src = srcNoTarget ./.;
  remapPathPrefix = true;
  buildInputs = with pkgs; [ pkg-config openssl xorg.libX11 ];
}
